org.jbpm.process.workitem.rest

## Class RestGeoCodeApiCallWorkItemHandler

- java.lang.Object
- - org.jbpm.process.workitem.core.AbstractLogOrThrowWorkItemHandler
  - - org.jbpm.process.workitem.rest.RestGeoCodeApiCallWorkItemHandler

- All Implemented Interfaces:
    org.kie.api.runtime.process.WorkItemHandler

      public class RestGeoCodeApiCallWorkItemHandler
      extends AbstractLogOrThrowWorkItemHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.workitem.core.AbstractLogOrThrowWorkItemHandler

      `handlingProcessId, handlingStrategy, logThrownException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestGeoCodeApiCallWorkItemHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abortWorkItem(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`
    `void` | `executeWorkItem(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`
    `int` | `getHttpResponseCode()`
    `List<ResultGeoCodeApi>` | `getResults()`
    `void` | `setHttpResponseCode(int httpResponseCode)`

    - ### Methods inherited from class org.jbpm.process.workitem.core.AbstractLogOrThrowWorkItemHandler

      `findNodeInstance, handleException, handleException, setLogThrownException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RestGeoCodeApiCallWorkItemHandler

          public RestGeoCodeApiCallWorkItemHandler()

  - ### Method Detail

    - #### executeWorkItem

          public void executeWorkItem(org.kie.api.runtime.process.WorkItem workItem,
                                      org.kie.api.runtime.process.WorkItemManager manager)

    - #### abortWorkItem

          public void abortWorkItem(org.kie.api.runtime.process.WorkItem workItem,
                                    org.kie.api.runtime.process.WorkItemManager manager)

    - #### getResults

          public List<ResultGeoCodeApi> getResults()

      Returns:
        the results

    - #### getHttpResponseCode

          public int getHttpResponseCode()

      Returns:
        the httpResponseCode

    - #### setHttpResponseCode

          public void setHttpResponseCode(int httpResponseCode)

      Parameters:
        `httpResponseCode` - the httpResponseCode to set

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.